> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KYB for a business

> Returns the business's KYB details. Returns 404 if KYB has not been started for the business.



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/businesses/{businessId}/kyb
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/businesses/{businessId}/kyb:
    get:
      tags:
        - Businesses
      summary: Get KYB for a business
      description: >-
        Returns the business's KYB details. Returns 404 if KYB has not been
        started for the business.
      operationId: getKyb
      parameters:
        - $ref: '#/components/parameters/businessId'
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          $ref: '#/components/responses/GetKYBResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  parameters:
    businessId:
      name: businessId
      in: path
      description: The unique identifier for the business
      required: true
      schema:
        type: string
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  responses:
    GetKYBResponse:
      description: get KYB response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GetKYB'
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
    NotFoundError:
      description: Requested resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  schemas:
    GetKYB:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: KYB record ID
          example: d4475c70-d759-495e-a052-3e3a1cba1857
        tenantKey:
          type: string
          description: Tenant key
          example: cad62002887
        entityName:
          type: string
          description: Business name
          example: Airtel
        entityType:
          type: string
          enum:
            - corporation
            - c-corporation
            - s-corporation
            - partnership
            - sole proprietorship
            - limited liability company
            - non profit
            - other
          description: Type of entity
          example: corporation
        taxIdentificationNumber:
          type: string
          description: Tax identification number
          example: NN-528343998
        incorporation:
          type: object
          description: Incorporation details
          properties:
            date:
              type: string
              format: date-time
              description: Date of incorporation
              example: '2025-01-01T00:00:00.000Z'
            address:
              $ref: '#/components/schemas/address'
        phoneNumber:
          $ref: '#/components/schemas/phoneNumber'
        email:
          type: string
          format: email
          description: Business email address
        websiteURL:
          type: string
          format: uri
          description: Business website URL
          example: ''
        natureOfBusiness:
          type: string
          description: Description of the primary business activities and industry
          example: Software Development
        sizeOfCompany:
          type: string
          description: Size of the company
          example: 300-400
        sourceOfFunds:
          type: string
          description: Source of funds
          example: Personal Savings
        status:
          type: string
          enum:
            - initialized
            - needs-additional-info
            - pending-review
            - awaiting-principal-kyc
            - incomplete
            - complete
            - rejected
          description: KYB status
          example: pending-review
        annualRevenue:
          type: object
          description: Annual revenue range
          properties:
            currency:
              type: string
              description: Currency code (ISO 4217)
              example: USD
            min:
              type: number
              description: Minimum annual revenue
              example: 100000
            max:
              type: number
              description: Maximum annual revenue
              example: 1000000
        expectedMonthlyTransactionVolume:
          type: object
          description: Expected monthly transaction volume range
          properties:
            currency:
              type: string
              description: Currency code (ISO 4217)
              example: USD
            min:
              type: number
              description: Minimum expected monthly transaction volume
              example: 50000
            max:
              type: number
              description: Maximum expected monthly transaction volume
              example: 80000
        address:
          $ref: '#/components/schemas/address'
        documents:
          type: object
          description: Document file URLs
          properties:
            articlesOfIncorporation:
              type: array
              nullable: true
              description: Presigned URLs for articles of incorporation documents
              items:
                type: string
            bankStatements:
              type: array
              nullable: true
              description: Presigned URLs for bank statements
              items:
                type: string
            proofOfAddress:
              type: array
              nullable: true
              description: Presigned URLs for proof of address documents
              items:
                type: string
            taxDocuments:
              type: array
              nullable: true
              description: Presigned URLs for tax documents
              items:
                type: string
        principals:
          type: array
          description: Principals associated with the business
          items:
            type: object
            properties:
              firstName:
                type: string
                description: First name of the principal
                example: John
              lastName:
                type: string
                description: Last name of the principal
                example: Doe
              ownershipPercentage:
                type: number
                format: float
                description: Percentage of ownership held by the principal
                example: 0.5
              email:
                type: string
                format: email
                description: Email address of the principal
              phoneNumber:
                $ref: '#/components/schemas/phoneNumber'
              address:
                $ref: '#/components/schemas/address'
              isExecutive:
                type: boolean
                description: Whether the principal is an executive
                example: false
              title:
                type: string
                description: Job title or role of the principal
                example: ''
              id:
                type: string
                format: uuid
                description: Principal ID
                example: f116c829-3c93-4d24-880d-3a00faf784a2
              identifier:
                type: object
                description: Government-issued identification document details
                properties:
                  type:
                    enum:
                      - passport
                      - ssn
                    description: Type of identification document
                    example: passport
                  value:
                    type: string
                    description: Identification number or value
                    example: '1234567890'
        requirements:
          type: object
          description: KYB requirements and validation status
          properties:
            currentlyDue:
              type: array
              description: List of field paths that are currently required
              items:
                type: string
                description: Field path that is required
              example:
                - principals.0.phoneNumber.countryCode
                - phoneNumber.countryCode
                - principals.0.address.state
                - email
                - entityName
            errors:
              type: array
              description: List of validation errors
              items:
                type: object
                properties:
                  field:
                    type: string
                    description: Field path with the error
                    example: entityName
                  reason:
                    type: string
                    description: Reason for the error
                    example: Only english letters are allowed
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    NotFoundError:
      description: Not Found
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: resource_not_found
        message: Requested resource could not be found.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    address:
      type: object
      description: Address
      required:
        - countryCode
      properties:
        line1:
          type: string
          example: Street 1
        line2:
          type: string
          example: Apt 1
        city:
          type: string
          example: Gotham
        postalCode:
          type: string
          example: '10001'
        state:
          type: string
          example: NY
        countryCode:
          type: string
          example: US
    phoneNumber:
      type: object
      description: Person's phone number
      properties:
        countryCode:
          type: string
          example: '1'
        number:
          type: string
          example: '2345678901'
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````